SYNOPSIS
        void set_this_player(object ob)

DESCRIPTION
        Change the current command giver to <ob>. <ob> may be 0 if
        you want to 'deactivate' the current command giver.

        This efun is not privileged, therefore it should be redefined
        by a nomask simul_efun which then either completely disables
        the efun or at least performs some security checks.
        It is easy to undermine a mudlibs security using this efun.

        The efun is available only in 3.2.1, a possible simulation for
        3.2 could be:

          void set_this_player(object ob)
          {
            /* Insert your privilege checks here */
            if (living(ob))
              funcall(bind_lambda(#'enable_commands, ob));
          }

        (suggested by Mark Lewis (Nostradamus@Zebedee))

HISTORY
        Introduced in 3.2.1.
        LDMud 3.2.6 added the value 0 as acceptable parameter.

SEE ALSO
        set_this_object(E), this_player(E)
